import { isNil } from "lodash";
export var getHeaderPhotoRows = function (props) {
    var record = props.record, onHide = props.onHide, toHide = props.toHide;
    var autoPreviewResize = !isNil(record.mediaSize) && record.mediaSize.length == 0;
    return [
        record.needHeaderPhoto && {
            fields: [
                {
                    wrapperStyle: {
                        marginBottom: 0
                    },
                    isClosed: toHide("photo-section"),
                    name: "photoSection",
                    line: "Header photo",
                    type: "section",
                    onToggle: function (isClosed) {
                        onHide("photo-section", isClosed);
                    }
                }
            ]
        },
        !toHide("photo-section") &&
            record.needHeaderPhoto && {
            style: { paddingBottom: "0.2rem" },
            fields: [
                { type: "placeholder" },
                {
                    colStyle: { maxWidth: 120 },
                    name: "mediaSize",
                    type: "picklist",
                    defaultValue: "aspect aspect-w-16 aspect-h-9",
                    options: [
                        {
                            value: "aspect aspect-w-16 aspect-h-9",
                            text: "16 : 9"
                        },
                        {
                            value: "aspect aspect-w-4 aspect-h-3",
                            text: "4 : 3"
                        },
                        {
                            value: "",
                            text: "Auto adjust"
                        }
                    ],
                    controlStyle: { fontSize: "0.9rem" },
                    inputStyle: {
                        borderBottomWidth: 0,
                        borderTopWidth: 1,
                        borderLeftWidth: 1,
                        borderRightWidth: 1,
                        borderColor: "#e5e7eb",
                        borderStyle: "solid",
                        paddingLeft: 5,
                        paddingRight: 5
                    }
                }
            ]
        },
        !toHide("photo-section") &&
            record.needHeaderPhoto && {
            fields: [
                {
                    uploaderLabel: "Upload Photo",
                    name: "media",
                    allowEditUrl: true,
                    type: "upload-photo",
                    placeholder: "Upload a photo here",
                    autoPreviewResize: autoPreviewResize,
                    uploaderWrapperClassName: isNil(record.mediaSize)
                        ? "aspect aspect-w-16 aspect-h-9"
                        : record.mediaSize
                }
            ]
        }
    ];
};
//# sourceMappingURL=header-photo-rows.js.map